Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.datasource
Interface IEssCube.IEssSecurityFilter

All Superinterfaces:
  IEssBaseObject

Enclosing interface:
  IEssCube

public static interface IEssCube.IEssSecurityFilter
extends IEssBaseObject

The IEssSecurityFilter is cube security filter. (FOR FUTURE USE).

Method Summary
`IEssCube.IEssSecurityFilter` | `copy(java.lang.String destName)` Copies this security filter.
`IEssCube.IEssSecurityFilter` | `copy(java.lang.String destName, java.lang.String destAppName, java.lang.String destCubeName)` Copies this security filter.
`void` | `delete()` Deletes this security filter.
`short` | `getAccess()` Gets the default filter access level.
`java.lang.String` | `getName()` Gets the name of the security filter.
`boolean` | `isActive()` Checks if this filter is currently in effect cube.
`void` | `rename(java.lang.String newName)` Renames this security filter.

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the name of the security filter.

  Returns:
    The security filter name.
  Throws:
    `EssException` - if an error occurs.

### isActive

    public boolean isActive()
                     throws EssException

  Checks if this filter is currently in effect cube.

  Returns:
    true if filter is currently in effect.
  Throws:
    `EssException` - if an error occurs.

### getAccess

    public short getAccess()
                    throws EssException

  Gets the default filter access level.

  Returns:
    The default filter access level.
  Throws:
    `EssException` - if an error occurs.

### copy

    public IEssCube.IEssSecurityFilter copy(java.lang.String destName)
                                     throws EssException

  Copies this security filter.

  Parameters:
    `destName` - The destination name of the copied filter.
  Throws:
    `EssException` - if an error occurs.

### copy

    public IEssCube.IEssSecurityFilter copy(java.lang.String destName,
                                            java.lang.String destAppName,
                                            java.lang.String destCubeName)
                                     throws EssException

  Copies this security filter.

  Parameters:
    `destAppName` - The destination application name.
    `destCubeName` - The destination cube name.
    `destName` - The name for the filter copy.
  Returns:
    The security filter.
  Throws:
    `EssException` - if an error occurs.

### rename

    public void rename(java.lang.String newName)
                throws EssException

  Renames this security filter.

  Returns:
    The new name for the filter.
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Deletes this security filter.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD